--- a/drivers/media/platform/msm/camera_v2/sensor/cci/msm_cci.c
+++ b/drivers/media/platform/msm/camera_v2/sensor/cci/msm_cci.c
@@ -1035,6 +1035,9 @@
 		else
 			read_cfg->num_byte = read_bytes;
 		rc = msm_cci_i2c_read(sd, c_ctrl);
+
+                pr_err("%s: Trying to read address 0x%x\n", __func__, read_cfg->addr);
+
 		if (rc < 0) {
 			pr_err("%s:%d failed rc %d\n", __func__, __LINE__, rc);
 			goto ERROR;
--- a/drivers/media/platform/msm/camera_v2/sensor/io/msm_camera_cci_i2c.c
+++ b/drivers/media/platform/msm/camera_v2/sensor/io/msm_camera_cci_i2c.c
@@ -35,6 +35,8 @@
 		&& data_type != MSM_CAMERA_I2C_WORD_DATA))
 		return rc;
 
+        pr_err("%s: EJK READ dev addr 0x%x reg addr = 0x%x\n", __func__, client->cci_client->sid, addr);
+
 	cci_ctrl.cmd = MSM_CCI_I2C_READ;
 	cci_ctrl.cci_info = client->cci_client;
 	cci_ctrl.cfg.cci_i2c_read_cfg.addr = addr;
@@ -44,7 +46,7 @@
 	rc = v4l2_subdev_call(client->cci_client->cci_subdev,
 			core, ioctl, VIDIOC_MSM_CCI_CFG, &cci_ctrl);
 	if (rc < 0) {
-		pr_err("%s: line %d rc = %d\n", __func__, __LINE__, rc);
+		pr_err("%s: EJK FAIL line %d rc = %d\n", __func__, __LINE__, rc);
 		return rc;
 	}
 	rc = cci_ctrl.status;
@@ -53,6 +55,7 @@
 	else
 		*data = buf[0] << 8 | buf[1];
 
+	pr_err("%s: EJK SUCCESS data: 0x%x\n", __func__, *data);
 	S_I2C_DBG("%s addr = 0x%x data: 0x%x\n", __func__, addr, *data);
 	return rc;
 }
@@ -118,6 +121,7 @@
 		&& data_type != MSM_CAMERA_I2C_WORD_DATA))
 		return rc;
 
+        pr_err("%s: EJK WRITE dev addr 0x%x reg addr = 0x%x data = 0x%x\n", __func__, client->cci_client->sid, addr, data);
 	CDBG("%s:%d reg addr = 0x%x data type: %d\n",
 		__func__, __LINE__, addr, data_type);
 	reg_conf_tbl.reg_addr = addr;
@@ -132,9 +136,10 @@
 	rc = v4l2_subdev_call(client->cci_client->cci_subdev,
 			core, ioctl, VIDIOC_MSM_CCI_CFG, &cci_ctrl);
 	if (rc < 0) {
-		pr_err("%s: line %d rc = %d\n", __func__, __LINE__, rc);
+		pr_err("%s: EJK FAIL line %d rc = %d\n", __func__, __LINE__, rc);
 		return rc;
 	}
+	pr_err("%s: EJK SUCCESS\n", __func__);
 	rc = cci_ctrl.status;
 	return rc;
 }
